# collada.common.DaeObject

class collada.common.DaeObject

  This class is the abstract interface to all collada objects.

  Every <tag> in a COLLADA that we recognize and load has mirror class deriving from this one. All instances will have at least a `load()` method which creates the object from an xml node and an attribute called `xmlnode` with the ElementTree representation of the data. Even if it was created on the fly. If the object is not read-only, it will also have a `save()` method which saves the object’s information back to the `xmlnode` attribute.

  __init__()

  Methods

  `__init__`() |
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Put all the data to the internal xml node (xmlnode) so it can be serialized.

  Attributes

  `xmlnode` | ElementTree representation of the data.